# Interface methods for submodule: QuadEdge
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: QuadEdge
class QuadEdgeProxy():
	def BeginOnext(self):
		""""""
		...

	def EndOnext(self):
		""""""
		...

	def SetOnext(self, onext) -> None:
		""""""
		...

	def SetRot(self, rot) -> None:
		""""""
		...

	def GetOnext(self):
		""""""
		...

	def GetRot(self):
		""""""
		...

	def Splice(self, b) -> None:
		""""""
		...

	def GetSym(self):
		""""""
		...

	def GetLnext(self):
		""""""
		...

	def GetRnext(self):
		""""""
		...

	def GetDnext(self):
		""""""
		...

	def GetOprev(self):
		""""""
		...

	def GetLprev(self):
		""""""
		...

	def GetRprev(self):
		""""""
		...

	def GetDprev(self):
		""""""
		...

	def GetInvRot(self):
		""""""
		...

	def GetInvOnext(self):
		""""""
		...

	def GetInvLnext(self):
		""""""
		...

	def GetInvRnext(self):
		""""""
		...

	def GetInvDnext(self):
		""""""
		...

	def IsHalfEdge(self) -> bool:
		""""""
		...

	def IsIsolated(self) -> bool:
		""""""
		...

	def IsEdgeInOnextRing(self, testEdge) -> bool:
		""""""
		...

	def IsLnextGivenSizeCyclic(self, size: int) -> bool:
		""""""
		...

	def GetOrder(self) -> int:
		""""""
		...

